OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_CurveElementEndOffset Class Reference

Representation of STEP entity CurveElementEndOffset
.

`#include <StepFEA_CurveElementEndOffset.hxx>`

## Public Member Functions
Standard_EXPORT | StepFEA_CurveElementEndOffset ()
| Empty constructor .
Standard_EXPORT void | Init (const StepFEA_CurveElementEndCoordinateSystem &aCoordinateSystem, const Handle(TColStd_HArray1OfReal)&aOffsetVector)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepFEA_CurveElementEndCoordinateSystem | CoordinateSystem () const
| Returns field CoordinateSystem .
Standard_EXPORT void | SetCoordinateSystem (const StepFEA_CurveElementEndCoordinateSystem &CoordinateSystem)
| Set field CoordinateSystem .
Standard_EXPORT Handle_TColStd_HArray1OfReal | OffsetVector () const
| Returns field OffsetVector .
Standard_EXPORT void | SetOffsetVector (const Handle(TColStd_HArray1OfReal)&OffsetVector)
| Set field OffsetVector .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepFEA_CurveElementEndCoordinateSystem | theCoordinateSystem
Handle_TColStd_HArray1OfReal | theOffsetVector

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_CurveElementEndOffset::StepFEA_CurveElementEndOffset | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepFEA_CurveElementEndCoordinateSystem StepFEA_CurveElementEndOffset::CoordinateSystem | ( |  | ) | const

Standard_EXPORT const StepFEA_CurveElementEndOffset::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepFEA_CurveElementEndOffset::Init | ( | const StepFEA_CurveElementEndCoordinateSystem & | aCoordinateSystem,
|  | const Handle(TColStd_HArray1OfReal)& | aOffsetVector
| ) |

Standard_EXPORT Handle_TColStd_HArray1OfReal StepFEA_CurveElementEndOffset::OffsetVector | ( |  | ) | const

Standard_EXPORT void StepFEA_CurveElementEndOffset::SetCoordinateSystem | ( | const StepFEA_CurveElementEndCoordinateSystem & | CoordinateSystem | ) |

Standard_EXPORT void StepFEA_CurveElementEndOffset::SetOffsetVector | ( | const Handle(TColStd_HArray1OfReal)& | OffsetVector | ) |

## Field Documentation

StepFEA_CurveElementEndCoordinateSystem StepFEA_CurveElementEndOffset::theCoordinateSystem`[private]`

Handle_TColStd_HArray1OfReal StepFEA_CurveElementEndOffset::theOffsetVector`[private]`

The documentation for this class was generated from the following file:

- StepFEA_CurveElementEndOffset.hxx